Subject: SC 22 N 3303 - National Activity Report of Japan for 2000-2001

From: Matthew Deane <[email-masked]>
Date: Fri, 31 Aug 2001 11:29:34 -0400

ISO/IEC JTC 1/SC22
Programming languages, their environments and system software interfaces
Secretariat:  U.S.A.  (ANSI)
 
ISO/IEC JTC 1/SC22 N3303
 
TITLE:
National Activity Report of Japan for 2000-2001

DATE ASSIGNED:
2001-08-31
 
SOURCE:
Japanese National Body

BACKWARD POINTER:
N/A
 
DOCUMENT TYPE:
National Body Contribution

PROJECT NUMBER:
N/A
 
STATUS:
This document will be reviewed at the upcoming SC 22 Plenary under Agenda
Item 7.2 pending the approval of its addition to the agenda.

ACTION IDENTIFIER:
FYI
 
DUE DATE:
  
DISTRIBUTION:
Text

CROSS REFERENCE:
 
DISTRIBUTION FORM:
Def
 
Address reply to:
ISO/IEC JTC 1/SC22 Secretariat
Matt Deane
ANSI
25 West 43rd Street
New York, NY  10036
Telephone:  (212) 642-4992
Fax:             (212) 840-2298
Email:  [email-masked]

_______end of cover page, beginning of report____________

--------------------------------------------------------------------------
Japan National Activity Report to the Plenary Meeting of JTC 1/SC 22,
September 2001

1. National Activities for International Standardization in Japan
- SC 22 of Information Technology Standards Commission of Japan (ITSCJ) is
working as a Japanese National Committee for ISO/IEC JTC 1/SC 22. SC 22
meetings are held 6 times per year and some additional adhoc meetings.
- There are ten working groups (COBOL WG, Fortran WG, Ada WG, C WG, Lisp WG,
Prolog WG, POSIX WG, C++ WG, Internationalization WG, and Language
Independent Issues WG), one study group (Java SG) and an ad hoc committee
for DIS 20970 (PAS) under this committee to cope with activities of JTC 1/SC
22. VDM/SL and Z are covered by another group (Formal Description Technique
Sub Working Group) in ITSCJ with close liaison with our SC 22. There are no
corresponding WGs to WG 3 (APL), and WG 13 (Modula-2).
- Each group has been participating actively in the corresponding working
group.
- Additional activities to be reported are as follows:

Java SG
- This group disbanded.

DIS 20970 PAS ad hoc committee
- Japanese SC22 has been serving as a pool of specialists on various IS
proposals that come from other sources than the existing SC22 WGs. This
year, we have formed an ad hoc committee for DIS 20970, JEFF file format, a
PAS submission from J Consortium. Most committee members are from the Java
Study Group in Japan, and has had good study and will soon provide a
recommendation as to the Japan National Body response to JTC 1.

COBOL WG
- Mr. Wataru Takagi, a member of COBOL WG, has been working as the Project
Editor for TR 19755, Information technology -- Programming languages --
Object finalization for Programming language COBOL.

Fortran WG
- The translation of Part 2 (ISO/IEC 1539-2:2000) was completed, and its
translated document will be approved and published as a JIS in this fiscal
year.

C WG
- WG started to translate of FDIS of C9X in October 1999 for preparing JIS C
standard corresponding with ISO/IEC 9899:1999. A JIS standard of C9X will be
prepared by the end of September 2001.

C++ WG
- Translation work of ISO/IEC 14882:1998 into Japanese started in May 1999.
A JIS standard of C++ will be prepared by the end of December 2001.

2. Development of National Standards
The Japanese national standards are known as Japanese Industrial Standards
(JISs). The current status of JISs in the area of SC 22 is as follows: 

1) JISs established before 2000
- COBOL (JIS X 3002 - 1992) = ISO/IEC 1989:1985 + AMD 1 
- Full BASIC (JIS X 3003 - 1993) = ISO/IEC 10279: 1991 
- Pascal (JIS X 3008 - 1994) = ISO/IEC 7185:1990 
- MUMPS (JIS X 3011 - 1995) = ISO/IEC 11756:1990
- POSIX Part 1 (JIS X 3030- 1994) = ISO/IEC 9945-1:1990
- C (JIS X 3010 - 1993) = ISO/IEC 9899:1990
- C (JIS X 3010 - 1996) = ISO/IEC 9899 AMD 1:1995
- ISLisp (JIS X 3012 - 1998) = ISO/IEC 13816:1997
- Fortran Part 1 (JIS X 3001-1 - 1998) = ISO/IEC 1539-1:1997
- Fortran Part 2 (JIS X 3001-2 - 1998) = ISO/IEC 1539-2:1994
- ECMAScript (JIS X 3060 - 2000) = ISO/IEC 16262:1998

2) JISs published in FY2000
- POSIX Part 2 (JIS X 3031 - 2001) = ISO/IEC 9945-2:1993
- Prolog Part 1: General Core (JIS X 3013 - 2001) = ISO/IEC 13211-1:1995
- Fortran Part 3 (JIS X 3001-3 - 2000) = ISO/IEC 1539-3:1999
- Guidelines for Programming Language Standards Preparation (JIS TR X 0031 -
2001)= ISO/IEC TR 10176
- Framework for Internationalization (JIS TR X 0030 - 2000) = ISO/IEC TR
11017

3) JISs prepared in FY 2000 or before and to be published in FY 2001
- Ada (JIS X 3009 - 2000) = ISO/IEC 8652:1995
- Fortran Part 2 = ISO/IEC 1539-2: 2000

4) Draft JISs being prepared in FY 2001
- C = ISO/IEC 9899:1999 
- C++  = ISO/IEC 14882:1998 

-------------------------------------------------------------------------